#!/bin/sh

MDATA=$HOME/master
SDATA=$HOME/standby

pg_ctl -D $MDATA -w -mi stop
pg_ctl -D $SDATA -w -mi stop
rm -rf $MDATA $SDATA

initdb -D $MDATA --no-locale

echo "listen_addresses  = '127.0.0.1'" >> $MDATA/postgresql.conf
echo "wal_level         = hot_standby" >> $MDATA/postgresql.conf
echo "max_wal_senders   = 4"           >> $MDATA/postgresql.conf
echo "wal_keep_segments = 16"          >> $MDATA/postgresql.conf
echo "log_line_prefix   = '[master] '" >> $MDATA/postgresql.conf

echo "host replication postgres 127.0.0.1/32 trust" >> $MDATA/pg_hba.conf

pg_ctl -D $MDATA -w start

psql -c "SELECT pg_start_backup('test', true)" postgres
cp -r $MDATA $SDATA
psql -c "SELECT pg_stop_backup()" postgres

echo "port            = 9999"         >> $SDATA/postgresql.conf
echo "hot_standby     = on"           >> $SDATA/postgresql.conf
ed $SDATA/postgresql.conf <<EOF
,s/\[master\]/\[standby\]/g
w
q
EOF

echo "standby_mode     = 'on'"         >> $SDATA/recovery.conf
echo "primary_conninfo = 'host=127.0.0.1 port=5432 user=postgres'" >> $SDATA/recovery.conf
echo "trigger_file     = '../trigger'" >> $SDATA/recovery.conf

rm -f $SDATA/postmaster.pid

pg_ctl -D $SDATA start
